%define        jpegmmx_version  0.1.6

Name:          mjpegtools
Version:       2.1.0
Release:       1mamba
Summary:       Tools for recording, editing, playing and encoding mpeg video
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://mjpeg.sourceforge.net/
Source0:       http://downloads.sourceforge.net/sourceforge/mjpeg/mjpegtools-%{version}.tar.gz
Source1:       http://downloads.sourceforge.net/sourceforge/mjpeg/jpeg-mmx-%{jpegmmx_version}.tar.gz
Patch:         %{name}-1.8.0-libquicktime.patch
Patch1:        %{name}-1.8.0-gcc42.patch
Patch2:        %{name}-1.9.0-kernel-2.6.38.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libatk-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libdirectfb-devel
BuildRequires: libdv-devel
BuildRequires: libexpat-devel
BuildRequires: libffi-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libGL-devel
BuildRequires: libglib-devel
BuildRequires: libgtk2-devel
BuildRequires: libjpeg-devel
BuildRequires: libpango-devel
BuildRequires: libpixman-devel
BuildRequires: libpng-devel
BuildRequires: libpthread-stubs-devel
BuildRequires: libquicktime-devel
BuildRequires: libSDL-devel
BuildRequires: libSDL_gfx-devel
BuildRequires: libselinux-devel
BuildRequires: libstdc++6-devel
BuildRequires: libts-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libxcb-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXrender-devel
BuildRequires: libz-devel
BuildRequires: pkg-config
BuildRequires: udev-devel
## AUTOBUILDREQ-END
BuildRequires: nasm
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
Requires(post):%{__install_info}

%description
The MJPEG-tools are a basic set of utilities for recording, editing, playing back and encoding (to mpeg) video under linux.
Recording can be done with zoran-based MJPEG-boards (LML33, Iomega Buz, Pinnacle DC10(+), Marvel G200/G400), these can also playback video using the hardware.
With the rest of the tools, this video can be edited and encoded into mpeg1/2 or divx video.

%package -n libmjpegtools
Summary:       Development headers and libraries for the mjpegtools
Group:         System/Libraries

%description -n libmjpegtools
The MJPEG-tools are a basic set of utilities for recording, editing, playing back and encoding (to mpeg) video under linux.
Recording can be done with zoran-based MJPEG-boards (LML33, Iomega Buz, Pinnacle DC10(+), Marvel G200/G400), these can also playback video using the hardware.
With the rest of the tools, this video can be edited and encoded into mpeg1/2 or divx video.

%package -n libmjpegtools-devel
Summary:       Development headers and libraries for the mjpegtools
Group:         Development/Libraries
Requires:      libmjpegtools-devel = %{?epoch:%epoch:}%{version}-%{release}
Provides:      mjpegtools-devel
Obsoletes:     mjpegtools-devel

%description -n libmjpegtools-devel
This package contains static libraries and C system header files needed to compile applications that use part of the libraries of the m jpegtools package.

%prep
%setup -q
%ifarch %{ix86}
%setup -q -a1
%patch1 -p1
%endif
#%patch2 -p1

%build
%ifarch %{ix86}
pushd jpeg-mmx
%configure
%make -j1
popd
%endif

%configure \
   --with-quicktime \
   --with-dv=%{_prefix} \
   --with-dv-yv12 \
%ifarch %{ix86}
   --with-jpeg-mmx="`pwd`/jpeg-mmx-%{jpegmmx_version}" \
%endif
   --enable-shared \
   --enable-large-file \
   --enable-cmov-extension \
   --enable-xfree-ext \
   --enable-simd-accel
#   --enable-zalpha

%ifarch %{ix86}
find ./ -name Makefile \
   -exec sed -i "s/\(.*\)-mcpu=[^ ]*\(.*\)/\1-mtune=%{_target_cpu}\2/g" {} \; \
   -exec sed -i "s/\(.*-march=\)[^ ]*\(.*\)/\1%{_target_cpu}\2/g" {} \;
%endif

%make -j1 CPPFLAGS="-fpermissive"

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
/sbin/ldconfig
%install_info mjpeg-howto.info

%preun
/sbin/ldconfig
%uninstall_info mjpeg-howto.info
exit 0

%files
%defattr(-, root, root)
%{_bindir}/*
%{_infodir}/*
%{_mandir}/man?/*

%files -n libmjpegtools
%defattr(-, root, root)
%{_libdir}/*.so.*
%doc AUTHORS ChangeLog

%files -n libmjpegtools-devel
%defattr(-, root, root)
%dir %{_includedir}/mjpegtools/
%{_includedir}/mjpegtools/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%doc BUGS CHANGES COPYING HINTS PLANS README* TODO

%changelog
* Sun Mar 09 2014 Automatic Build System <autodist@mambasoft.it> 2.1.0-1mamba
- automatic version update by autodist

* Mon Jul 15 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.0-2mamba
- rebuilt with libSDL_gfx 2.0.24

* Wed Sep 05 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.0-1mamba
- update to 2.0.0

* Fri Dec 16 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.0-6mamba
- rebuilt with libSDL_gdx 2.0.23

* Sun Aug 22 2010 Automatic Build System <autodist@mambasoft.it> 1.9.0-5mamba
- automatic rebuild by autodist

* Mon Jun 29 2009 Automatic Build System <autodist@mambasoft.it> 1.9.0-4mamba
- automatic rebuild by autodist

* Thu May 21 2009 Automatic Build System <autodist@mambasoft.it> 1.9.0-3mamba
- automatic rebuild by autodist

* Sun Mar 08 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.0-2mamba
- added library subpackage

* Sat Mar 07 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.0-1mamba
- automatic update by autodist

* Sun Jun 01 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.0-2mamba
- specfile updated

* Mon Oct 09 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 1.8.0-1qilnx
- update to version 1.8.0 by autospec

* Tue Aug 02 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.6.2-3qilnx
- rebuilt

* Sun Oct 03 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.6.2-2qilnx
- specfile modified to match QiLinux standards
- added patches to compile jpeg-mmx and mjpegtools with gcc-3.4.x
- added hack to force the compilation for %{_target_cpu} cpus

* Tue Sep 14 2004 Matteo Bernasconi <voyagernm@virgilio.it> 1.6.2-1qilnx
- first build
